#ifndef KERNELCONFIGTAB_H
#define KERNELCONFIGTAB_H
#include "kernelconfigtabbase.H"

class KernelConfigTab : public KernelConfigTabBase
{ 
    Q_OBJECT

public:
    KernelConfigTab( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KernelConfigTab();
    void needUpdate();
public slots:
	void onApply();
	void onRevert();

private:
	int readSysctl(QString strVarName);
	void writeSysctl(QString strVarName,int nValue);
	void getSysctlValues();
	void setSysctlValues();
};

#endif // KERNELCONFIGTAB_H
