#ifndef OPTIONLISTDIALOG_H
#define OPTIONLISTDIALOG_H
#include <qvariant.h>
#include <qdialog.h>
#include <qlistbox.h>

#ifndef STRUCT_ICMPCODE
#define STRUCT_ICMPCODE
struct _icmpcode {
	int	code;
	char	*str;
};
#endif

class OptionListDialog : public QDialog
{
	Q_OBJECT
public:
	OptionListDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
	OptionListDialog(QString * items,int numItems,QString selected_item,QWidget* parent = 0, const char* name = 0);
	~OptionListDialog();
	QString strResult;
	QListBox * listbox_items;
public slots:
	void onOK();
};

class IcmptypeListDialog : public QDialog
{
	Q_OBJECT
public:
	IcmptypeListDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
	IcmptypeListDialog(_icmpcode * items,int numItems,QString selected_item,QWidget* parent = 0, const char* name = 0);
	~IcmptypeListDialog();
	QString strResult;
	QListBox * listbox_items;
public slots:
	void onOK();
};

#endif
