#ifndef MYRULEEDITDIALOG_H
#define MYRULEEDITDIALOG_H
#include "ruleeditdialogbase.H"
#include "comtypes.H"
#include "allglobals.H"

class MyRuleEditDialog : public RuleEditDialog
{ 
    Q_OBJECT

public:
    MyRuleEditDialog(QString qstrRule, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~MyRuleEditDialog();
    QString strRule;
    FWRule fwrule;
    void setElements(); //set ui based on fwrule (only on initialization)
    bool bNoUpdateNow;
    virtual void needUpdate();
    virtual void editIcmpTypes();
    virtual void editIpOptions();
    virtual void editSrcPortList();
    virtual void editTcpFlags();
    virtual void editTcpOptions();
    virtual void editDstPortList();
public slots:
	void updateAll(); 
	void updateElements(); // enable-disable elements
	void updateRule(); //updating strRule based on ui
	void onOK();

};

#endif // MYRULEEDITDIALOG_H
