#ifndef SCRIPTDIALOG_H
#define SCRIPTDIALOG_H
#include "scriptdialogbase.H"

class MainForm;
class KernelConfigTab;

class ScriptDialog : public ScriptDialogBase
{ 
    Q_OBJECT

public:
    ScriptDialog( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~ScriptDialog();
    MainForm * mainform;
    KernelConfigTab * kerneltab;
public slots:
	void writeScript();
	void saveScript();
};

#endif // SCRIPTDIALOG_H
