#include <qlineedit.h>
#include "sudodialog.H"

/* 
 *  Constructs a SudoDialog which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SudoDialog::SudoDialog( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : SudoDialogBase( parent, name, modal, fl )
{
	lineedit_password->setActiveWindow();
}

/*  
 *  Destroys the object and frees any allocated resources
 */
SudoDialog::~SudoDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

